Package com.google.protobuf

# Class DescriptorProtos.MethodDescriptorProto.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>
com.google.protobuf.DescriptorProtos.MethodDescriptorProto.Builder

All Implemented Interfaces:
  `DescriptorProtos.MethodDescriptorProtoOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  DescriptorProtos.MethodDescriptorProto

public static final class DescriptorProtos.MethodDescriptorProto.Builder extends GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder> implements DescriptorProtos.MethodDescriptorProtoOrBuilder
Protobuf type `google.protobuf.MethodDescriptorProto`

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.MethodDescriptorProto`
`build()`
Constructs the message based on the state of the Builder.
`DescriptorProtos.MethodDescriptorProto`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`DescriptorProtos.MethodDescriptorProto.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`DescriptorProtos.MethodDescriptorProto.Builder`
`clearClientStreaming()`
`optional bool client_streaming = 5 [default = false, json_name = "clientStreaming"];`
`DescriptorProtos.MethodDescriptorProto.Builder`
`clearInputType()`
`optional string input_type = 2 [json_name = "inputType"];`
`DescriptorProtos.MethodDescriptorProto.Builder`
`clearName()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.MethodDescriptorProto.Builder`
`clearOptions()`
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`
`DescriptorProtos.MethodDescriptorProto.Builder`
`clearOutputType()`
`optional string output_type = 3 [json_name = "outputType"];`
`DescriptorProtos.MethodDescriptorProto.Builder`
`clearServerStreaming()`
`optional bool server_streaming = 6 [default = false, json_name = "serverStreaming"];`
`boolean`
`getClientStreaming()`
`optional bool client_streaming = 5 [default = false, json_name = "clientStreaming"];`
`DescriptorProtos.MethodDescriptorProto`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getInputType()`
`optional string input_type = 2 [json_name = "inputType"];`
`ByteString`
`getInputTypeBytes()`
`optional string input_type = 2 [json_name = "inputType"];`
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.MethodOptions`
`getOptions()`
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`
`DescriptorProtos.MethodOptions.Builder`
`getOptionsBuilder()`
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`
`DescriptorProtos.MethodOptionsOrBuilder`
`getOptionsOrBuilder()`
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`
`String`
`getOutputType()`
`optional string output_type = 3 [json_name = "outputType"];`
`ByteString`
`getOutputTypeBytes()`
`optional string output_type = 3 [json_name = "outputType"];`
`boolean`
`getServerStreaming()`
`optional bool server_streaming = 6 [default = false, json_name = "serverStreaming"];`
`boolean`
`hasClientStreaming()`
`optional bool client_streaming = 5 [default = false, json_name = "clientStreaming"];`
`boolean`
`hasInputType()`
`optional string input_type = 2 [json_name = "inputType"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasOptions()`
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`
`boolean`
`hasOutputType()`
`optional string output_type = 3 [json_name = "outputType"];`
`boolean`
`hasServerStreaming()`
`optional bool server_streaming = 6 [default = false, json_name = "serverStreaming"];`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`DescriptorProtos.MethodDescriptorProto.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`DescriptorProtos.MethodDescriptorProto.Builder`
`mergeFrom(DescriptorProtos.MethodDescriptorProto other)`
`DescriptorProtos.MethodDescriptorProto.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`DescriptorProtos.MethodDescriptorProto.Builder`
`mergeOptions(DescriptorProtos.MethodOptions value)`
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`
`final DescriptorProtos.MethodDescriptorProto.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`DescriptorProtos.MethodDescriptorProto.Builder`
`setClientStreaming(boolean value)`
`optional bool client_streaming = 5 [default = false, json_name = "clientStreaming"];`
`DescriptorProtos.MethodDescriptorProto.Builder`
`setInputType(String value)`
`optional string input_type = 2 [json_name = "inputType"];`
`DescriptorProtos.MethodDescriptorProto.Builder`
`setInputTypeBytes(ByteString value)`
`optional string input_type = 2 [json_name = "inputType"];`
`DescriptorProtos.MethodDescriptorProto.Builder`
`setName(String value)`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.MethodDescriptorProto.Builder`
`setNameBytes(ByteString value)`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.MethodDescriptorProto.Builder`
`setOptions(DescriptorProtos.MethodOptions value)`
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`
`DescriptorProtos.MethodDescriptorProto.Builder`
`setOptions(DescriptorProtos.MethodOptions.Builder builderForValue)`
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`
`DescriptorProtos.MethodDescriptorProto.Builder`
`setOutputType(String value)`
`optional string output_type = 3 [json_name = "outputType"];`
`DescriptorProtos.MethodDescriptorProto.Builder`
`setOutputTypeBytes(ByteString value)`
`optional string output_type = 3 [json_name = "outputType"];`
`DescriptorProtos.MethodDescriptorProto.Builder`
`setServerStreaming(boolean value)`
`optional bool server_streaming = 6 [default = false, json_name = "serverStreaming"];`
`final DescriptorProtos.MethodDescriptorProto.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

### clear

public DescriptorProtos.MethodDescriptorProto.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

### getDefaultInstanceForType

public DescriptorProtos.MethodDescriptorProto getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public DescriptorProtos.MethodDescriptorProto build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public DescriptorProtos.MethodDescriptorProto buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public DescriptorProtos.MethodDescriptorProto.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

### mergeFrom

public DescriptorProtos.MethodDescriptorProto.Builder mergeFrom(DescriptorProtos.MethodDescriptorProto other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

### mergeFrom

public DescriptorProtos.MethodDescriptorProto.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### hasName

public boolean hasName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `hasName` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  Whether the name field is set.

### getName

public String getName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getName` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  The name.

### getNameBytes

public ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getNameBytes` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  The bytes for name.

### setName

public DescriptorProtos.MethodDescriptorProto.Builder setName(String value)
`optional string name = 1 [json_name = "name"];`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public DescriptorProtos.MethodDescriptorProto.Builder clearName()
`optional string name = 1 [json_name = "name"];`

Returns:
  This builder for chaining.

### setNameBytes

public DescriptorProtos.MethodDescriptorProto.Builder setNameBytes(ByteString value)
`optional string name = 1 [json_name = "name"];`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### hasInputType

public boolean hasInputType()
`optional string input_type = 2 [json_name = "inputType"];`

Specified by:
  `hasInputType` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  Whether the inputType field is set.

### getInputType

public String getInputType()
`optional string input_type = 2 [json_name = "inputType"];`

Specified by:
  `getInputType` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  The inputType.

### getInputTypeBytes

public ByteString getInputTypeBytes()
`optional string input_type = 2 [json_name = "inputType"];`

Specified by:
  `getInputTypeBytes` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  The bytes for inputType.

### setInputType

public DescriptorProtos.MethodDescriptorProto.Builder setInputType(String value)
`optional string input_type = 2 [json_name = "inputType"];`

Parameters:
  `value` - The inputType to set.
Returns:
  This builder for chaining.

### clearInputType

public DescriptorProtos.MethodDescriptorProto.Builder clearInputType()
`optional string input_type = 2 [json_name = "inputType"];`

Returns:
  This builder for chaining.

### setInputTypeBytes

public DescriptorProtos.MethodDescriptorProto.Builder setInputTypeBytes(ByteString value)
`optional string input_type = 2 [json_name = "inputType"];`

Parameters:
  `value` - The bytes for inputType to set.
Returns:
  This builder for chaining.

### hasOutputType

public boolean hasOutputType()
`optional string output_type = 3 [json_name = "outputType"];`

Specified by:
  `hasOutputType` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  Whether the outputType field is set.

### getOutputType

public String getOutputType()
`optional string output_type = 3 [json_name = "outputType"];`

Specified by:
  `getOutputType` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  The outputType.

### getOutputTypeBytes

public ByteString getOutputTypeBytes()
`optional string output_type = 3 [json_name = "outputType"];`

Specified by:
  `getOutputTypeBytes` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  The bytes for outputType.

### setOutputType

public DescriptorProtos.MethodDescriptorProto.Builder setOutputType(String value)
`optional string output_type = 3 [json_name = "outputType"];`

Parameters:
  `value` - The outputType to set.
Returns:
  This builder for chaining.

### clearOutputType

public DescriptorProtos.MethodDescriptorProto.Builder clearOutputType()
`optional string output_type = 3 [json_name = "outputType"];`

Returns:
  This builder for chaining.

### setOutputTypeBytes

public DescriptorProtos.MethodDescriptorProto.Builder setOutputTypeBytes(ByteString value)
`optional string output_type = 3 [json_name = "outputType"];`

Parameters:
  `value` - The bytes for outputType to set.
Returns:
  This builder for chaining.

### hasOptions

public boolean hasOptions()
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`

Specified by:
  `hasOptions` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  Whether the options field is set.

### getOptions

public DescriptorProtos.MethodOptions getOptions()
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`

Specified by:
  `getOptions` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  The options.

### setOptions

public DescriptorProtos.MethodDescriptorProto.Builder setOptions(DescriptorProtos.MethodOptions value)
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`

### setOptions

public DescriptorProtos.MethodDescriptorProto.Builder setOptions(DescriptorProtos.MethodOptions.Builder builderForValue)
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`

### mergeOptions

public DescriptorProtos.MethodDescriptorProto.Builder mergeOptions(DescriptorProtos.MethodOptions value)
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`

### clearOptions

public DescriptorProtos.MethodDescriptorProto.Builder clearOptions()
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`

### getOptionsBuilder

public DescriptorProtos.MethodOptions.Builder getOptionsBuilder()
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`

### getOptionsOrBuilder

public DescriptorProtos.MethodOptionsOrBuilder getOptionsOrBuilder()
`optional .google.protobuf.MethodOptions options = 4 [json_name = "options"];`

Specified by:
  `getOptionsOrBuilder` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`

### hasClientStreaming

public boolean hasClientStreaming()
`optional bool client_streaming = 5 [default = false, json_name = "clientStreaming"];`

Specified by:
  `hasClientStreaming` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  Whether the clientStreaming field is set.

### getClientStreaming

public boolean getClientStreaming()
`optional bool client_streaming = 5 [default = false, json_name = "clientStreaming"];`

Specified by:
  `getClientStreaming` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  The clientStreaming.

### setClientStreaming

public DescriptorProtos.MethodDescriptorProto.Builder setClientStreaming(boolean value)
`optional bool client_streaming = 5 [default = false, json_name = "clientStreaming"];`

Parameters:
  `value` - The clientStreaming to set.
Returns:
  This builder for chaining.

### clearClientStreaming

public DescriptorProtos.MethodDescriptorProto.Builder clearClientStreaming()
`optional bool client_streaming = 5 [default = false, json_name = "clientStreaming"];`

Returns:
  This builder for chaining.

### hasServerStreaming

public boolean hasServerStreaming()
`optional bool server_streaming = 6 [default = false, json_name = "serverStreaming"];`

Specified by:
  `hasServerStreaming` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  Whether the serverStreaming field is set.

### getServerStreaming

public boolean getServerStreaming()
`optional bool server_streaming = 6 [default = false, json_name = "serverStreaming"];`

Specified by:
  `getServerStreaming` in interface `DescriptorProtos.MethodDescriptorProtoOrBuilder`
Returns:
  The serverStreaming.

### setServerStreaming

public DescriptorProtos.MethodDescriptorProto.Builder setServerStreaming(boolean value)
`optional bool server_streaming = 6 [default = false, json_name = "serverStreaming"];`

Parameters:
  `value` - The serverStreaming to set.
Returns:
  This builder for chaining.

### clearServerStreaming

public DescriptorProtos.MethodDescriptorProto.Builder clearServerStreaming()
`optional bool server_streaming = 6 [default = false, json_name = "serverStreaming"];`

Returns:
  This builder for chaining.

### setUnknownFields

public final DescriptorProtos.MethodDescriptorProto.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`

### mergeUnknownFields

public final DescriptorProtos.MethodDescriptorProto.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.MethodDescriptorProto.Builder>`